default_language_version:
  python: python3.9

default_stages: [commit, push]

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v2.5.0
    hooks:
      - id: check-yaml
      - id: end-of-file-fixer
        exclude: LICENSE

  - repo: local
    hooks:
      - id: lint
        name: lint
        entry: .venv/bin/nox --session lint
        types: [python]
        language: system

  - repo: local
    hooks:
      - id: test
        name: test
        entry: .venv/bin/nox --session test
        types: [python]
        language: system
